<div class="gateway-details">
  <h4 class="group-header">{{gDetails.GW}}</h4>
  <section>
    <md-list>
      <md-list-item>
        <i class="secual-icon secual-icon-space-right icon-gateway secual-primary-color"></i>
        <div class="title gd-name">
          <span ng-hide="gDetails.editGatewayName" class="label-editable">{{gDetails.gateway.name}}</span>
          <input type="text" class="editable" ng-model="gDetails.gateway.name" ng-show="gDetails.editGatewayName">
        </div>

        <span class="accessory-icon gd-edit-btn" ng-click="gDetails.edit(); gDetails.editGatewayName = true"
              ng-hide="gDetails.editGatewayName">
          <span class="icon-edit"></span>
        </span>
        <span class="accessory-icon gd-edit-btn" ng-click="gDetails.save(); gDetails.editGatewayName = false"
              ng-show="gDetails.editGatewayName">
          <span class="icon-check"></span>
      </span>
        <span class="accessory-icon gd-edit-btn" ng-click="gDetails.cancel(); gDetails.editGatewayName = false"
              ng-show="gDetails.editGatewayName">
          <span class="icon-close"></span>
        </span>
      </md-list-item>
      <!--<md-list-item  ng-click="gDetails.goTo('gateways.settings', {gid: gDetails.gateway.id})">
         <i class="icon icon-gateway secual-primary-color"></i>
        <span class="title gd-name">Wi-Fi設定</span>
        <a ui-sref="app.gateways.settings({gid: gDetails.gateway.id})" class="accessory-icon link"><span class="icon-arrow-right secual-sub-dark-color"></span></a>
      </md-list-item>-->
    </md-list>
  </section>

  <h4 class="group-header">{{gDetails.SENSOR}}</h4>
  <section>
    <md-list>
      <md-list-item ng-repeat="sensor in gDetails.sensors | orderBy:'id'"
                    ng-click="gDetails.goTo('gateways.sensor', {gid: gDetails.gateway.id, sid: sensor.id})">
        <i class="secual-icon-space-right secual-icon secual-primary-color"
        ></i>
        <span class="title gd-name">{{sensor.name}}</span>
        <div class="status-icons">
          <div class="accessory-icon gds-battery">
            <i class="secual-icon icon-battery-low secual-sub-dark-color" ng-if="sensor.btr <= 50"></i>
            <i class="icon-battery-full secual-icon secual-sub-dark-color" ng-if="sensor.btr > 50"></i>
          </div>
          <div class="accessory-icon gds-bluetooth">
            <i class=" secual-icon secual-sub-dark-color" ng-if="!sensor.bleS"
               ng-class="{'icon-signal-strong': sensor.bleS >= 50, 'icon-signal-weak': sensor.bleS < 50}"
            ></i>
            <i class="secual-icon icon-bluetooth secual-sub-dark-color" ng-if="sensor.bleS"></i>
            <!--<md-button>{{sensor.bleS}}</md-button>-->
          </div>
        </div>
        <a ui-sref="app.gateways.sensor({gid: gDetails.gateway.id, sid: sensor.id})">
          <i class="secual-icon icon-arrow-right secual-sub-dark-color secual-icon-flex"></i></a>
        <md-divider ng-if="!$last"></md-divider>
      </md-list-item>
    </md-list>
  </section>
  <!--
     <div class="actions">
        <md-button class="secual-button secual-button-wrapper secual-button-primary" md-no-ink ng-click="gDetails.goToShop('/index.html#products')">{{gDetails.ADD_SENSORS}}</md-button>
      </div>
      <p class="secual-explanation-text">{{gDetails.explanation_text_about_gateways_and_sensors}}</p>
  </div>
  -->
</div>
